Subject: bug#18637: 24.4.50; doc of frame parameter DISPLAY vs actual value on MS Windows

From: Eli Zaretskii <[email-masked]>
Date: Sun, 05 Oct 2014 22:30:22 +0300

> Date: Sun, 5 Oct 2014 12:23:34 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> 
> In (elisp) `Basic Parameters' I see this description of frame parameter
> `display':
> 
>   The display on which to open this frame.  It should be a string of
>   the form `"HOST:DPY.SCREEN"', just like the `DISPLAY' environment
>   variable.
> 
> But if I evaluate `(frame-parameters)' on MS Windows I see this value
> for parameter `display': "w32".
> 
> "w32" does not seem to fit the form `"HOST:DPY.SCREEN"'.  What gives?

Emacs on MS-Windows doesn't support the notion of 'display', so all
frames return the same value of that parameter.

> And why is that string surrounded by `...'?

An artifact of Texinfo markup.

> And why aren't the components of that "form" described: What are
> acceptable values for HOST, DPY, and SCREEN?

Users on X already know what they are; users on other systems don't
need to know, because this is not supported.  Either way, this notion
is not an Emacs invention, it is a feature of the X window system.